APIReference data
Get an airline
Authorization
bearerAuth reference_data.readAuthorizationBearer <token>
Send Authorization: Bearer <credential>. Create API keys in AirTrail Security settings. OAuth clients use authorization code with PKCE S256 and a resource identifier matching /api/v1.
In: header
Scope: reference_data.read
Path Parameters
id*integer
Resource ID.
Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/airlines/1"{ "data": { "id": 0, "name": "string", "icao": "string", "iata": "string", "iconPath": "string" }}Search airlines GET
Returns a bounded set of best matches and is not paginated; `page.nextCursor` is always null. Narrow the query to reach other results.
Search aircraft types GET
Returns a bounded set of best matches and is not paginated; `page.nextCursor` is always null. Narrow the query to reach other results.
